\version "2.10.0"
#(ly:set-option 'point-and-click #f)
% incipit for bassus.abc
% written by write_new_incipit.sh on Fri Dec 29 18:38:07 EST 2006
% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C44")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
\addInstrumentDefinition #"mensuralf3"
  #`( (clefGlyph . "clefs.mensural.f") 
     (middleCPosition . 4)
     (clefPosition . 0))

originalclef={  \instrumentSwitch "mensuralf3"}
%originalclef={\clef "mensural-f"}
firstnote={  g1 }
keysignature={\key g \mixolydian }
timesignature={\time 6/4  }

%incipit template /home/newlily/music/templates/firstnote.ly 
\score{{

\override NoteHead   #'font-family = #'music
\override NoteHead   #'style = #'neomensural
\override Staff.Clef   #'font-family = #'music
\override Staff.Accidentals   #'font-family = #'music
\set Score.defaultBarType = "empty"
\originalclef

\override Staff.TimeSignature   #'style = #'neomensural
%\override Staff.TimeSignature   #'style = #'1style

\keysignature
%\timesignature
\settime
\firstnote
\bar ".|."

}
 \layout { ragged-right = ##t }
}
%end incipit
