\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Josquin des Prez"
        copyright = "© Serpent Publications 2014 www.laymusic.org"
	footnotes = ""
	title = "O Venus bant"
	source = "Odhecaton, Performers' Facsimile and Amherse Early Music edition"
}

% Local Variables:
% coding: utf-8
% End:

% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
% expanding: bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
% expanding: cantusnotes.ly
cantusnotes = {
\set Score.defaultBarType = ""

% %MIDI nobarlines
 % %MIDI ratio 3 1
 \override Staff.TimeSignature #'style = #'C
 \time 2/2 %\tempo  2=120
 % %MIDI nobarlines
\af
g'2.    f'4    d'2    e'1    f'2.    e'4    f'2    g'1    
d'2    e'2    d'2    g'2.    a'4    b'2    c''4    b'4    a'4    g'4    f'2.    
e'4    g'\breve    g'2.    f'4    e'2    d'2    e'2    c'2    c''1    a'1    
a'4    g'4    a'4    b'4    c''1    a'2    c''2.    b'4    a'4    g'4    f'2.   
 e'4    a'2    a'1    g'4    f'4    e'2.    f'4    g'2.    f'4    d'2    f'2.   
 g'4    a'2    g'2      d''1    b'1    a'4    g'4    f'2.    e'4    g'\breve    
  r1   g'1    g'1    g'1    a'1    a'1    g'1.    c''1    b'4    a'4    b'1    
c''2.    b'4    g'2    a'2    g'2    a'1    g'4    f'4    e'2    a'1    a'2    
a'1    a'1    a'1.    g'4    f'4    e'1.    g'2.    a'4    b'2    c''2    a'1   
 g'4    f'4    g'1    a'\breve    c''1.    b'2    a'1.    g'4    f'4    e'2.    
f'4    g'2    a'2.    b'4    c''2.    b'4    a'4    g'4    f'2    g'2    f'2    
g'1      f'2    g'1    f'2    g'1    f'2    g'\longa    \endbar
}

% expanding: tenornotes.ly
tenornotes = \transpose c c, {
\set Score.defaultBarType = ""
\clef "G_8"
% %MIDI nobarlines
 % %MIDI ratio 3 1
 % %MIDI transpose -12
 \override Staff.TimeSignature #'style = #'C
 \time 2/2 %\tempo  2=120
 % %MIDI nobarlines
\af
   g'\breve    a'1    a'1    g'\breve      r1   g'1    a'1   
 a'1    g'\breve      r1   g'1    c''1.    c''2    c''1    c''2.    b'4    a'1  
  a'2.    g'4    a'\breve    c''1    c''1    g'1    g'1    d''\breve    b'1    
g'1      a'\breve ^"(1)"   g'\longa      r1   g'1    d''1    d''1    e''1    
e''1    d''1    d''1    c''\breve      r1   c''1    c''\breve    a'1    a'1    
c''1    c''1    g'1    g'1    d''1    c''1      b'\breve ^"(3)"   a'\longa      
r1   a'1    c''1    c''1    a'1    a'1    d''\breve    b'1    g'1      a'\breve 
^"(2)"   g'\longa   \endbar
}

% expanding: bassusnotes.ly
bassusnotes = \transpose c' c, {
\set Score.defaultBarType = ""

% %MIDI nobarlines
 % %MIDI ratio 3 1
 % %MIDI transpose -24
 \override Staff.TimeSignature #'style = #'C
 \time 2/2 %\tempo  2=120
 % %MIDI nobarlines

\clef "bass"
\af
   g'2.    a'4    b'2    c''1    d''2.    c''4    d''2    e''2.    f''4    g''4 
   f''4    g''2.    a''4    b''1    a''4    g''4    f''2.    e''4    d''1    
g'2    c''2.    d''4    e''2    c''2    e''2.    f''4    g''2    c''2    f''2.  
  g''4    a''2    f''2    a''2.    b''4    c'''4    d'''4    c'''2    
\relative c'' { f2. g4 a bes a2 d,2. e4 f g f2 
}
f'2.    
g'4    a'4    b'4    c''2.    b'4    g'2.    a'4    b'4    c''4      d''1    
f''2    g''4    a''4    b''4    c'''4    d'''2    g''2    f''2.    e''4    d''1 
   g'2.    a'4    b'2    c''2    g'2    c''2.    d''4    e''2.    f''4    g''2. 
   f''4    e''2    d''2    f''2.    e''4    f''2    c''2    c'''2.    b''4    
c'''2    g''1      r2   g''2    a''2    g''4    f''4    e''2    f''2    c''2    
f''2.    g''4    a''2.    g''4    f''2.    g''4    a''4    b''4    c'''1    
c'''2    f'2.    f'4    f'2.    g'4    a'4    b'4    c''1    c''2    g'1      
g''2    a''2    f''2    g''1      r2   g''2    d''1.    c''4    b'4    a'2    
a''2.    b''4    c'''2.    b''4    a''4    g''4    f''2    e''4    d''4    
c''2.    d''4    e''2    f''2.    g''4    a''2.    g''4    f''4    e''4    d''4 
   c''4    b'4    a'4    g'2    g''4    a''4    b''4    g''4    d'''2    g'4    
a'4    b'4    g'4    d''2    c''2    d''1    g'\longa    \endbar
}

% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C44")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

%  \override Staff.TimeSignature   #'style = #'C
% \time 2/2
%\settime
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor

%%%\override Staff.TimeSignature   #'style = #'neomensural
%%%\time 6/4
\time 2/2
\key c \major

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
\score{
         <<

  <<
	\context Staff="1"
	{
	  \transpose c c {
	    \voicedefault 
	    \looksSlower{\cantusnotes }
%	    \cantusnotes
	  }
	}
      >>


<<	\context Staff="3"
	{
	  \transpose c c {
	    \voicedefault
	    \looksSlower{\tenornotes}
%	    \tenornotes
	  }
	}

>>


<<	\context Staff="6"
	{
	  \transpose c c {
%	    \clef "bass"
	    \voicedefault
	    \looksSlower{\bassusnotes}
% 	    \bassusnotes
	  }
	}
>>

    >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{

	    \Staff
	    \consists "Timing_translator" 
	    \consists "Default_bar_line_engraver"
	    \consists "Repeat_acknowledge_engraver"
	  }
	  \context{
	    \Score
	    \remove "Timing_translator" 
	    \remove "Default_bar_line_engraver"
	    \remove "Repeat_acknowledge_engraver"
	  }

	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}
% Local Variables:
% coding: utf-8
% End:

